#ifndef STIM_PLANE_H
#define STIM_PLANE_H

namespace stim
{
template <typename T> class plane
{
	private:
		stim::vec<T> P;
		stim::vec<T> N;

		CUDA_CALLABLE void init()
		{
			P = stim::vec<T>(0, 0, 0);
			N = stim::vec<T>(0, 0, 1);
		}

	public:
	
		CUDA_CALLABLE plane()
		{
			init();
		}
		
}
#endif
